WinStd Windows Win32 API using Standard C++

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
winstd::safearray_accessor< T > Class Template Reference
COM Object Management

Context scope automatic SAFEARRAY (un)access. More...

`#include <WinStd/COM.h>`

## Public Member Functions
| safearray_accessor (SAFEARRAY *psa)
| Increments the lock count of an array, and retrieves a pointer to the array data.
virtual | ~safearray_accessor ()
| Decrements the lock count of an array.
T HUGEP * | data () const noexcept
| Return SAFEARRAY data pointer.

## Protected Attributes
SAFEARRAY * | m_sa
| SAFEARRAY.
T HUGEP * | m_data
| SAFEARRAY data.

## Detailed Description

template<class T>
class winstd::safearray_accessor< T >

Context scope automatic SAFEARRAY (un)access.

## Constructor & Destructor Documentation

## ◆ safearray_accessor()

template<class T >

winstd::safearray_accessor< T >::safearray_accessor | ( | SAFEARRAY * | psa | ) |
| inline

Increments the lock count of an array, and retrieves a pointer to the array data.

See also
  SafeArrayAccessData function

## ◆ ~safearray_accessor()

template<class T >

virtual winstd::safearray_accessor< T >::~safearray_accessor | ( |  | ) |
| inline virtual

Decrements the lock count of an array.

See also
  CoUninitialize function

The documentation for this class was generated from the following file:

- include/WinStd/COM.h